%define tarname	scikits.learn
%define name	python-scikits-learn
%define version	0.7.1
%define release %mkrel 1

Summary:	Python modules for machine learning and data mining
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.gz
Source1:	user_guide-0.7.pdf
Patch0:		setup-libm.patch
License:	BSD
Group:		Development/Python
Url:		http://scikits-learn.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	blas-devel
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.2
BuildRequires:	python-scipy >= 0.7
# BuildRequires:	python-nose >= 0.10, python-coverage
%py_requires -d

%description
scikits.learn is a Python module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p0
cp -f %SOURCE1 .

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

# Disable checks because of semaphore problem on Mandriva build cluster:
#%check
#pushd %{buildroot}%{py_platsitedir}/scikits
#nosetests
#popd

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc AUTHORS.rst README.rst examples/ *.pdf


%changelog
* Wed Mar 09 2011 Lev Givon <lev@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 643097
- Update to 0.7.1.

* Thu Dec 23 2010 Lev Givon <lev@mandriva.org> 0.6-1mdv2011.0
+ Revision: 624194
- Add patch to link extensions against libm.
- Update to 0.6.

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.5-2mdv2011.0
+ Revision: 594036
- rebuld for py 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.5-1mdv2011.0
+ Revision: 586971
- import python-scikits-learn


